KYC
Set white-label KYC webhook config
Updates the destination URL and/or signing secret used to deliver KYC results to the organization's own system. The outbound URL is SSRF-validated. When generateSecret is true a new secret is created and returned once. Owner/admin only.
PUT
/api/kyc/webhook-configSDK setup
Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.
import { Configuration, KYCApi } from 'mudbase-sdk';
const configuration = new Configuration({
basePath: 'https://cloud.mudbase.dev',
accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});
const kyc = new KYCApi(configuration);import { Configuration, KYCApi } from 'mudbase-sdk';
const configuration = new Configuration({
basePath: 'https://cloud.mudbase.dev',
accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});
const kyc = new KYCApi(configuration);Example request
Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.
const { data: result } = await kyc.request(
{
webhookUrl: "https://trusting-venom.biz/",
webhookSecret: "Str0ng_Sample_Pass!w0rd",
generateSecret: false
}
);const { data: result } = await kyc.request(
{
webhookUrl: "https://trusting-venom.biz/",
webhookSecret: "Str0ng_Sample_Pass!w0rd",
generateSecret: false
}
);Playground
liveTest this endpoint with your own credentials. Your requests will be sent to the live API.
Use the auth endpoints to obtain a JWT.
No Request Yet
Send a request to see the full inspector
Authentication
Requires JWT
Note
Include your JWT in the
Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →Request Body
json
{
"webhookUrl": "https://lanky-pasta.org/",
"webhookSecret": "Str0ng_Sample_Pass!w0rd",
"generateSecret": false
}{
"webhookUrl": "https://lanky-pasta.org/",
"webhookSecret": "Str0ng_Sample_Pass!w0rd",
"generateSecret": false
}Responses
200Updated webhook config (includes webhookSecret only when freshly generated)
json
{
"webhookUrl": "https://lanky-pasta.org/",
"secretSet": false,
"webhookSecret": "Str0ng_Sample_Pass!w0rd"
}{
"webhookUrl": "https://lanky-pasta.org/",
"secretSet": false,
"webhookSecret": "Str0ng_Sample_Pass!w0rd"
}400Invalid webhookUrl or webhookSecret
401Authentication required
403Insufficient role (owner/admin required)
Errors
| Code | Meaning |
|---|---|
400 | Invalid webhookUrl or webhookSecret |
401 | Authentication required |
403 | Insufficient role (owner/admin required) |